package com.lanren.huhu.partner.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lanren.huhu.partner.domain.PartnerInviteRelation;
import java.util.List;
import com.lanren.huhu.partner.dao.PartnerInviteRelationMapper;
import com.lanren.huhu.partner.service.PartnerInviteRelationService;
/**  
    * @title: ${NAME}
    * @projectName partner
    * @description: 合伙人邀请关系
    * @author chen
    * @package ${PACKAGE_NAME}
    * @date 2019-07-08 16:02
    */
@Service
public class PartnerInviteRelationServiceImpl extends ServiceImpl<PartnerInviteRelationMapper, PartnerInviteRelation> implements PartnerInviteRelationService{
    private static Logger logger = LoggerFactory.getLogger(PartnerInviteRelationServiceImpl.class);

    @Override
    public int updateBatch(List<PartnerInviteRelation> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    public int batchInsert(List<PartnerInviteRelation> list) {
        return baseMapper.batchInsert(list);
    }
    @Override
    public int insertOrUpdate(PartnerInviteRelation record) {
        return baseMapper.insertOrUpdate(record);
    }
    @Override
    public int insertOrUpdateSelective(PartnerInviteRelation record) {
        return baseMapper.insertOrUpdateSelective(record);
    }

    @Override
    public List<PartnerInviteRelation> getPartnerInviteRelationListByRegDay(String datStr) {
        logger.info("datStr is: {}", datStr);
        return baseMapper.getPartnerInviteRelationListByRegDay(datStr);
    }
}
